> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ランダムミントを取得

> 呼び出し元に対して新しい未使用のミントキーペアを返します。オプションのフィルターを使用することで、プラットフォームが特定のプレフィックス・サフィックスを持つバニティアドレスを事前生成できます。



## OpenAPI

````yaml /ja/api-reference/openapi/launch-mint-v1.yaml post /create/get-random-mint
openapi: 3.0.3
info:
  title: Raydium Launch Mint API
  description: >-
    LaunchLab
    トークンのミント作成、リーダーボード、検索、および履歴データへのアクセスを提供します。名前、シンボル、ウォレットクリエーター、および様々なフィルターオプションによる検索をサポートしています。
  version: 1.0.0
servers:
  - url: https://launch-mint-v1.raydium.io
    description: Mainnet
  - url: https://launch-mint-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Discovery
    description: ミントの検索と閲覧
  - name: Details
    description: ミント情報の取得
  - name: User Activity
    description: ユーザー作成およびトレード統計の取得
  - name: Vesting
    description: ベスティングスケジュールデータのクエリ
  - name: Configuration
    description: プラットフォーム設定とメタデータ
  - name: Creation
    description: 新しいミントを作成してトランザクションを送信
  - name: Utilities
    description: ヘルスチェックとステータス
paths:
  /create/get-random-mint:
    post:
      tags:
        - Creation
      summary: ランダムミントを取得
      description: >-
        呼び出し元に対して新しい未使用のミントキーペアを返します。オプションのフィルターを使用することで、プラットフォームが特定のプレフィックス・サフィックスを持つバニティアドレスを事前生成できます。
      operationId: postCreateGetRandomMint
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                prefix:
                  type: string
                  description: 返されるミントが開始する必要があるオプションのbase58プレフィックス。
                suffix:
                  type: string
                  description: 返されるミントが終了する必要があるオプションのbase58サフィックス。
                wallet:
                  type: string
                  description: レート制限に使用するオプションのクリエーターウォレット。
      responses:
        '200':
          description: ランダムミント
          content:
            application/json:
              schema:
                type: object
                properties:
                  mint:
                    type: string
                    description: Base58ミントアドレス。
                  privateKey:
                    type: string
                    description: ミントのBase58秘密鍵。作成トランザクションに1回署名した後、破棄する必要があります。

````